io.vertx.groovy.ext.auth.oauth2.providers

## Class GoogleAuth_GroovyStaticExtension

- java.lang.Object
- - io.vertx.groovy.ext.auth.oauth2.providers.GoogleAuth_GroovyStaticExtension

-     public class GoogleAuth_GroovyStaticExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GoogleAuth_GroovyStaticExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(GoogleAuth j_receiver, Vertx vertx, Map<String,Object> serviceAccountJson)`
    `static OAuth2Auth` | `create(GoogleAuth j_receiver, Vertx vertx, Map<String,Object> serviceAccountJson, Map<String,Object> httpClientOptions)`
    `static OAuth2Auth` | `create(GoogleAuth j_receiver, Vertx vertx, String clientId, String clientSecret, Map<String,Object> httpClientOptions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GoogleAuth_GroovyStaticExtension

          public GoogleAuth_GroovyStaticExtension()

  - ### Method Detail

    - #### create

          public static OAuth2Auth create(GoogleAuth j_receiver,
                                          Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          Map<String,Object> httpClientOptions)

    - #### create

          public static OAuth2Auth create(GoogleAuth j_receiver,
                                          Vertx vertx,
                                          Map<String,Object> serviceAccountJson)

    - #### create

          public static OAuth2Auth create(GoogleAuth j_receiver,
                                          Vertx vertx,
                                          Map<String,Object> serviceAccountJson,
                                          Map<String,Object> httpClientOptions)

Copyright © 2017. All rights reserved.